## org.apache.batik.bridge
Class SVGImageElementBridge.ProtectedStream

    java.lang.Object
      java.io.InputStream
          java.io.FilterInputStream
              java.io.BufferedInputStream
                  org.apache.batik.bridge.SVGImageElementBridge.ProtectedStream

All Implemented Interfaces:
  java.io.Closeable

Enclosing class:
  SVGImageElementBridge

    public static class SVGImageElementBridge.ProtectedStream

extends java.io.BufferedInputStream

Field Summary

Fields inherited from class java.io.BufferedInputStream
`buf, count, marklimit, markpos, pos`

Fields inherited from class java.io.FilterInputStream
`in`

Method Summary
`void` `close()`
`void` `mark(int sz)`
`boolean` `markSupported()`
`void` `release()`
`void` `reset()`
`void` `retry()`

Methods inherited from class java.io.BufferedInputStream
`available, read, read, skip`

Methods inherited from class java.io.FilterInputStream
`read`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### markSupported

    public boolean markSupported()

  Overrides:
    `markSupported` in class `java.io.BufferedInputStream`

### mark

    public void mark(int sz)

  Overrides:
    `mark` in class `java.io.BufferedInputStream`

### reset

    public void reset()
               throws java.io.IOException

  Overrides:
    `reset` in class `java.io.BufferedInputStream`
  Throws:
    `java.io.IOException`

### retry

    public void retry()
               throws java.io.IOException

  Throws:
    `java.io.IOException`

### close

    public void close()
               throws java.io.IOException

  Specified by:
    `close` in interface `java.io.Closeable`
  Overrides:
    `close` in class `java.io.BufferedInputStream`
  Throws:
    `java.io.IOException`

### release

    public void release()

Copyright © 2008 Apache Software Foundation. All Rights Reserved.